﻿var ui = MindFusion.UI;
var d = MindFusion.Drawing;


// Create a new TabControl.
var host = new ui.TabControl(document.getElementById("host"));
host.width = new ui.Unit(70, ui.UnitType.Percent);
host.height = new ui.Unit(70, ui.UnitType.Percent);
host.theme = "light";

// Create two templated tab pages and add them to the host's tabs collection.
var tab1 = new ui.TabPage("Owner Details");
// The HTML of the specified page will be set as the innerHTML of a scrollable div inside the tab content element.
tab1.templateUrl = "page1.html";
host.tabs.add(tab1);

var tab2 = new ui.TabPage("Address");
// The HTML of the specified page will be set as the innerHTML of a scrollable div inside the tab content element.
tab2.templateUrl = "page2.html";
host.tabs.add(tab2);

var tab3 = new ui.TabPage("Vehicle Info");
// The HTML of the specified page will be set as the innerHTML of a scrollable div inside the tab content element.
tab3.templateUrl = "page3.html";
host.tabs.add(tab3);

var tab4 = new ui.TabPage("Duration");
// The HTML of the specified page will be set as the innerHTML of a scrollable div inside the tab content element.
tab4.templateUrl = "page4.html";
tab4.contentLoad.addEventListener(tabLoad);
//tabl2.element.querySelector("#submit").onclick = submitData;
host.tabs.add(tab4);



host.render();
host.selectedIndex = 0;
		
function tabLoad(sender, args) {

    let current_datetime = new Date();
    let formatted_date = current_datetime.getFullYear() + "-" + (current_datetime.getMonth() + 1) + "-" + current_datetime.getDate();
    sender.element.querySelector("#start").value = formatted_date;
    sender.element.querySelector("#submit").addEventListener("click", function () {
        submitData(sender);
    });
}

function submitData(sender) {
    var txt = "";

    var inputObj = tab4.element.querySelector("#start");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab4;
        dataIsCorrect = false;
    } else
        inputObj.style["border-color"] = "gray";

    inputObj = tab4.element.querySelector("#duration");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab4;
        dataIsCorrect = false;
    } else
        inputObj.style["border-color"] = "gray";

    inputObj = tab3.element.querySelector("#car_number");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab3;
        dataIsCorrect = false;
    } else
        inputObj.style["border-color"] = "gray";

    inputObj = tab3.element.querySelector("#year");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab3;
    } else
        inputObj.style["border-color"] = "gray";

    inputObj = tab2.element.querySelector("#str_number");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab2;
        dataIsCorrect = false;
    } else
        inputObj.style["border-color"] = "gray";

    inputObj = tab2.element.querySelector("#post_code");

    if (!inputObj.checkValidity()) {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab2;
        dataIsCorrect = false;
    } else
        inputObj.style["border-color"] = "gray";
    //check input from tab1
    inputObj = tab1.element.querySelector("#citizen_id");

    if(!inputObj.checkValidity())
    {
        txt += inputObj.name + ": ";
        txt += inputObj.validationMessage + "<br/>";
        inputObj.style["border-color"] = "red";
        host.selectedItem = tab1;
        dataIsCorrect = false;
    }else
        inputObj.style["border-color"] = "gray";
  
    document.getElementById("error").innerHTML = txt;  

    if (txt.length === 0)
        confirmData();
}

function confirmData() {

    //first tab
    tab1.element.querySelector("#fname").value = "";
    tab1.element.querySelector("#lname").value = "";
    tab1.element.querySelector("#citizen_id").value = "";

    //second tab
    tab2.element.querySelector("#city").value = "";
    tab2.element.querySelector("#street").value = "";
    tab2.element.querySelector("#str_number").value = "";
    tab2.element.querySelector("#post_code").value = "";

    //third tab
    tab3.element.querySelector("#car_number").value = "";
    tab3.element.querySelector("#year").value = "";

    //fourth tab
    tab4.element.querySelector("#duration").value = "";
    let current_datetime = new Date();
    let formatted_date = current_datetime.getFullYear() + "-" + (current_datetime.getMonth() + 1) + "-" + current_datetime.getDate();
    tab4.element.querySelector("#start").value = formatted_date;

    ui.Dialogs.showInfoDialog("Confirmation", "Your info has been submitted!", null, host.element, host.theme);

}
		



